<?php

// Control identifiers

if(!defined("IDD_DLG101")) define("IDD_DLG101", 101);
if(!defined("ID_MAINTAB")) define("ID_MAINTAB", 1001);
if(!defined("ID_VENDORID")) define("ID_VENDORID", 1005);
if(!defined("ID_FONTNAME")) define("ID_FONTNAME", 1007);
if(!defined("ID_FAMILY")) define("ID_FAMILY", 1008);
if(!defined("ID_SUBFAMILY")) define("ID_SUBFAMILY", 1009);
if(!defined("ID_PSNAME")) define("ID_PSNAME", 1011);
if(!defined("ID_UNIQUEID")) define("ID_UNIQUEID", 1013);
if(!defined("ID_COPYRIGHT")) define("ID_COPYRIGHT", 1016);
if(!defined("ID_TRADEMARK")) define("ID_TRADEMARK", 1018);
if(!defined("ID_VERSION")) define("ID_VERSION", 1019);
if(!defined("ID_WEIGHT")) define("ID_WEIGHT", 1024);

// Create window

$mainwin = wb_create_window(NULL, 100, "TTF Data", WBC_CENTER, WBC_CENTER, 475, 377, WBC_INVISIBLE, 0);

// Insert controls

wb_create_control($mainwin, Frame, "Identifiers and legal information", 10, 196, 453, 121, 0, WBC_VISIBLE | WBC_ENABLED);
wb_create_control($mainwin, Frame, "Font data", 10, 42, 453, 145, 0, WBC_VISIBLE | WBC_ENABLED);
wb_create_control($mainwin, Frame, "", -1, 29, 528, 3, 0, WBC_VISIBLE | WBC_ENABLED);
wb_create_control($mainwin, Label, "Vendor ID:", 16, 224, 95, 19, 0, WBC_VISIBLE | WBC_ENABLED | WBC_RIGHT);
wb_create_control($mainwin, EditBox, "", 120, 221, 107, 21, ID_VENDORID, WBC_VISIBLE | WBC_ENABLED | WBC_READONLY);
wb_create_control($mainwin, Label, "Full font name:", 13, 67, 95, 21, 0, WBC_VISIBLE | WBC_ENABLED | WBC_RIGHT);
wb_create_control($mainwin, EditBox, "", 120, 63, 327, 21, ID_FONTNAME, WBC_VISIBLE | WBC_ENABLED | WBC_READONLY);
wb_create_control($mainwin, EditBox, "", 120, 93, 161, 21, ID_FAMILY, WBC_VISIBLE | WBC_ENABLED | WBC_READONLY);
wb_create_control($mainwin, EditBox, "", 288, 93, 66, 21, ID_SUBFAMILY, WBC_VISIBLE | WBC_ENABLED | WBC_READONLY);
wb_create_control($mainwin, Label, "PostScript name:", 18, 126, 92, 21, 0, WBC_VISIBLE | WBC_ENABLED | WBC_RIGHT);
wb_create_control($mainwin, EditBox, "", 120, 124, 327, 21, ID_PSNAME, WBC_VISIBLE | WBC_ENABLED | WBC_READONLY);
wb_create_control($mainwin, Label, "Unique font ID:", 18, 155, 92, 21, 0, WBC_VISIBLE | WBC_ENABLED | WBC_RIGHT);
wb_create_control($mainwin, EditBox, "", 120, 154, 327, 21, ID_UNIQUEID, WBC_VISIBLE | WBC_ENABLED | WBC_READONLY);
wb_create_control($mainwin, Label, "Family / weight:", 13, 96, 95, 16, 0, WBC_VISIBLE | WBC_ENABLED | WBC_RIGHT);
wb_create_control($mainwin, EditBox, "", 120, 252, 327, 21, ID_COPYRIGHT, WBC_VISIBLE | WBC_ENABLED | WBC_READONLY);
wb_create_control($mainwin, Label, "Copyright:", 16, 254, 93, 16, 0, WBC_VISIBLE | WBC_ENABLED | WBC_RIGHT);
wb_create_control($mainwin, EditBox, "", 308, 221, 140, 21, ID_VERSION, WBC_VISIBLE | WBC_ENABLED | WBC_READONLY);
wb_create_control($mainwin, EditBox, "", 120, 282, 327, 21, ID_TRADEMARK, WBC_VISIBLE | WBC_ENABLED | WBC_READONLY);
wb_create_control($mainwin, Label, "Trademark:", 16, 283, 93, 16, 0, WBC_VISIBLE | WBC_ENABLED | WBC_RIGHT);
wb_create_control($mainwin, Label, "Version:", 237, 224, 67, 19, 0, WBC_VISIBLE | WBC_ENABLED | WBC_RIGHT);
wb_create_control($mainwin, EditBox, "", 359, 93, 89, 21, ID_WEIGHT, WBC_VISIBLE | WBC_ENABLED | WBC_READONLY);

// End controls

?>